<app-loading *ngIf="isLoading"></app-loading>
<div class='import'>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="syncUserRole()"
             [mbButtonIsLoading]='isSyncUserRole' [mbIsDisable]='isSyncUserRole'
             mbButtonAvailableStyle="LOADING" mbButtonText="{{'system.userRoleConfig.attributes.syncUserRoleFromKeycloak' | translate}}"></mb-button>
  <mb-button *ngIf="objFunction.import" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}"
             mbButtonTextColor="#141ED2" (click)="doImportData()"></mb-button>
  <mb-import [showContent]='isImportData'
             (onCloseModal)='doCloseImport($event)'
             [urlApiDownloadTemp]='urlApiDownloadTemp'
             [urlApiImport]='urlApiImport'>
  </mb-import>
</div>
<div nz-row class='content'>
  <div nz-col nzSm='24' nzLg="13">
    <div class="app-card">
      <div class="action-top" [formGroup]="searchForm">
        <div class="search-container" nz-col nzSm='12' nzLg='14'>
          <input nz-input placeholder="{{'common.label.search' | translate}}" class="input" (keyup.enter)="searchUser(true)"
            formControlName="username" />
          <mb-button class="bt-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchUser(true)"
                     mbButtonAvailableStyle="SEARCH" mbButtonText="{{'system.userProfile.label.search' | translate}}"></mb-button>
        </div>
      </div>
    </div>
    <!-- end form search -->
    <div class="app-list">
      <nz-table class="data-table" #rowSelectionTableUser [nzData]="listUser" [nzFrontPagination]="false" nzSize='small'
        [nzShowPagination]="false" [nzScroll]="listUser.length > 8 ? { y: '520px' } : {}" nzNoResult="Không tồn tại bản ghi">
        <thead>
          <tr class="table-header">
            <th scope="col" nzWidth="70px" class="text-nowrap text-center">{{'system.table.stt' | translate}}</th>
            <th scope="col" class="text-nowrap">{{'system.userRoleConfig.label.table.UserName' | translate}}</th>
            <th scope="col" class="text-nowrap">{{'system.userRoleConfig.label.table.EmpCode' | translate}}</th>
            <th scope="col" class="text-nowrap">{{'system.userRoleConfig.label.table.FullName' | translate}}</th>
            <th scope="col" class="text-nowrap">{{'system.userRoleConfig.label.table.Unit' | translate}}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of rowSelectionTableUser.data; let i = index; trackBy: trackByUser" class='row-table'
            [class.activeRow]="data.userId == HighlightRow" (click)="ClickedRow($event, data)">
            <td nzWidth="70px">{{ (i + 1) + (pagination.size * (pagination.currentPage - 1)) }}</td>
            <td>{{ data.username }}</td>
            <td>{{ data.empCode }}</td>
            <td>{{ data.fullName }}</td>
            <td>{{ data.orgName }}</td>
          </tr>
        </tbody>

      </nz-table>
    </div>
    <div class="pagination" nz-row *ngIf='listUser && listUser.length > 0'>
        <div nz-col nzLg="24" nzMd='24' nzXl='24' nzXXl='11'>
          <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg">
          <span class="pagination__table-info--text">
            Tìm thấy {{pagination.totalElements}} kết quả, hiển thị từ
            {{(pagination.size * (pagination.currentPage - 1)) + 1}} đến {{(pagination.size * (pagination.currentPage - 1)) + numberOfElementsListUser}}
          </span>
        </div>
        <nz-pagination nz-col nzLg="24" nzMd='24' nzXl='24' nzXXl='13'
          [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
          [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
        </nz-pagination>
      </div>
  </div>
  <div nz-col nzSm='24' nzLg="11">
    <div class="app-card">
    <div class="filter-top-role">
      <div class="filter-top-role__left"  nz-col nzSm='12' nzLg='16'>
        <div class="search-container">
          <input nz-input placeholder="{{'common.label.search' | translate}}" class="input"
            (keyup.enter)="searchRole(true)" [(ngModel)]="roleSearch" />
          <mb-button class="bt-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchRole(true)"
                     mbButtonAvailableStyle="SEARCH" mbButtonText="{{'system.userProfile.label.search' | translate}}"></mb-button>
        </div>
      </div>
      <div class="filter-top-role__right">
        <div class="search-container">
          <mb-button *ngIf="objFunction.edit" mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="save()"
                     mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
        </div>
      </div>
    </div>
    </div>
    <div class="app-list">
      <nz-table class='data-table' #rowSelectionTableRole nzShowSizeChanger [nzData]="listRole"  [nzScroll]="listRole.length > 8 ? { y: '520px' } : {}" nzNoResult="Không tồn tại bản ghi"
        [nzFrontPagination]="false" [nzShowPagination]="false" nzSize='small'>
        <thead>
          <tr class="table-header">
            <th scope="col" class='text-nowrap text-center'  nzWidth="50px" nzLeft='0'></th>
            <th scope="col" class='text-nowrap text-center'  nzWidth="50px" nzLeft='50px'>{{'system.table.stt' | translate}}</th>
            <th scope="col" class='text-nowrap' >{{'system.userRoleConfig.label.table.CodeRole' | translate}}</th>
            <th scope="col" class='text-nowrap' >{{'system.userRoleConfig.label.table.NameRole' | translate}}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of rowSelectionTableRole.data; let i = index; trackBy: trackByRole" class='row-table'>
            <td nzWidth="50px" nzLeft='0'>
              <label nz-checkbox [(ngModel)]="data.isChecked" [disabled]="!objFunction.edit" (ngModelChange)="onCheckboxRoleFn(data, $event)"> </label>
            </td>
            <td nzWidth="50px" nzLeft='50px'>
              {{ (i + 1)+ (pageableRole.size * (pageableRole.currentPage - 1))}}
            </td>
            <td>{{ data.name }}</td>
            <td>{{ data.description}}</td>
          </tr>
        </tbody>
      </nz-table>
    </div>
    <div class="pagination" nz-row *ngIf='listRole && listRole.length > 0'>
      <div nz-col nzMd='24' nzXl='24' nzXXl='11'>
        <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg">
        <span class="pagination__table-info--text">
          Tìm thấy {{pageableRole.totalElements}} kết quả, hiển thị từ
          {{pageableRole.size *
        (pageableRole.currentPage - 1)
        + 1 }} đến {{ pageableRole.size *
        (pageableRole.currentPage - 1)
        + this.listRole.length}}
        </span>
      </div>
      <nz-pagination nz-col nzMd='24' nzXl='24' nzXXl='13'
                     [(nzPageIndex)]="pageableRole && pageableRole.currentPage"
                     [nzTotal]="pageableRole.totalElements" [nzPageSize]="pageableRole.size" (nzPageIndexChange)="changePage2()"
                     class="pagination__icon">
      </nz-pagination>
    </div>
  </div>
</div>
